Pipedrive integration: operations for AI agents
Pipedrive connects to Type.com as an integration. This page lists the 368 operations documented for Claude and Codex in Type.com: 179 read, 120 write, 69 destructive.
About Pipedrive
Pipedrive v1 and v2 reference routes, subject to Type setup and account permissions.
Categories: Sales & CRM
How to connect Pipedrive to Type.com
- Connect
- Configure provider-specific API target and authentication setup.
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
368 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
368 operations listed.
V1
- Read
Get all activity fields (v1)
Returns all activity fields.
GET /v1/activityFields - Read
Get all activity types (v1)
Returns all activity types.
GET /v1/activityTypes - Read
Get all add-ons for a single company (v1)
Returns the add-ons for a single company.
GET /v1/billing/subscriptions/addons - Read
Get all call logs assigned to a particular user (v1)
Returns all call logs assigned to a particular user.
GET /v1/callLogs - Read
Get details of a call log (v1)
Returns details of a specific call log.
GET /v1/callLogs/{id} - Read
Get all supported currencies (v1)
Returns all supported currencies in given account which should be used when saving monetary values with other objects. The `code` parameter of the returning objects is the currency code according to ISO 4217 for all non-custom currencies.
GET /v1/currencies - Read
Get all archived deals (v1) (deprecated)
Returns all archived deals.
GET /v1/deals/archived - Read
Get deals summary (v1)
Returns a summary of all not archived deals.
GET /v1/deals/summary - Read
Get archived deals summary (v1) (deprecated)
Returns a summary of all archived deals.
GET /v1/deals/summary/archived - Read
Get deals timeline (v1)
Returns not archived open and won deals, grouped by a defined interval of time set in a date-type dealField (`field_key`) — e.g. when month is the chosen interval, and 3 months are asked starting from January 1st, 2012, deals are returned grouped into 3 groups — January, February and March — based on the value of the given `field_key`.
GET /v1/deals/timeline - Read
Get archived deals timeline (v1) (deprecated)
Returns archived open and won deals, grouped by a defined interval of time set in a date-type dealField (`field_key`) — e.g. when month is the chosen interval, and 3 months are asked starting from January 1st, 2012, deals are returned grouped into 3 groups — January, February and March — based on the value of the given `field_key`.
GET /v1/deals/timeline/archived - Read
List updates about deal field values (v1)
Lists updates about field values of a deal.
GET /v1/deals/{id}/changelog - Read
List files attached to a deal (v1)
Lists files associated with a deal.
GET /v1/deals/{id}/files - Read
List updates about a deal (v1)
Lists updates about a deal.
GET /v1/deals/{id}/flow - Read
List updates about participants of a deal (v1)
List updates about participants of a deal. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.
GET /v1/deals/{id}/participantsChangelog - Read
List followers of a deal (v1)
Lists the followers of a deal.
GET /v1/deals/{id}/followers - Read
List mail messages associated with a deal (v1)
Lists mail messages associated with a deal.
GET /v1/deals/{id}/mailMessages - Read
List participants of a deal (v1)
Lists the participants associated with a deal.If a company uses the [Campaigns product](https://pipedrive.readme.io/docs/campaigns-in-pipedrive-api), then this endpoint will also return the `data.marketing_status` field.
GET /v1/deals/{id}/participants - Read
List permitted users (v1)
Lists the users permitted to access a deal.
GET /v1/deals/{id}/permittedUsers - Read
Get all deal fields (v1)
Returns data about all deal fields.
GET /v1/dealFields - Read
Get one deal field (v1)
Returns data about a specific deal field.
GET /v1/dealFields/{id} - Read
Get all files (v1)
Returns data about all files.
GET /v1/files - Read
Get one file (v1)
Returns data about a specific file.
GET /v1/files/{id} - Read
Download one file (v1)
Initializes a file download.
GET /v1/files/{id}/download - Read
Get all filters (v1)
Returns data about all filters.
GET /v1/filters - Read
Get all filter helpers (v1)
Returns all supported filter helpers. It helps to know what conditions and helpers are available when you want to add or update filters. For more information, see the tutorial for adding a filter.
GET /v1/filters/helpers - Read
Get one filter (v1)
Returns data about a specific filter. Note that this also returns the condition lines of the filter.
GET /v1/filters/{id} - Read
Find goals (v1)
Returns data about goals based on criteria. For searching, append `{searchField}={searchValue}` to the URL, where `searchField` can be any one of the lowest-level fields in dot-notation (e.g. `type.params.pipeline_id`; `title`). `searchValue` should be the value you are looking for on that field. Additionally, `is_active=` can be provided to search for only active/inactive goals. When providing `period.start`, `period.end` must also be provided and vice versa.
GET /v1/goals/find - Read
Get result of a goal (v1)
Gets the progress of a goal for the specified period.
GET /v1/goals/{id}/results - Read
Get all leads (v1)
Returns multiple not archived leads. Leads are sorted by the time they were created, from oldest to newest. Pagination can be controlled using `limit` and `start` query parameters. If a lead contains custom fields, the fields' values will be included in the response in the same format as with the `Deals` endpoints. If a custom field's value hasn't been set for the lead, it won't appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields' structure from deals.
GET /v1/leads - Read
Get all archived leads (v1)
Returns multiple archived leads. Leads are sorted by the time they were created, from oldest to newest. Pagination can be controlled using `limit` and `start` query parameters. If a lead contains custom fields, the fields' values will be included in the response in the same format as with the `Deals` endpoints. If a custom field's value hasn't been set for the lead, it won't appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields' structure from deals.
GET /v1/leads/archived - Read
Get one lead (v1)
Returns details of a specific lead. If a lead contains custom fields, the fields' values will be included in the response in the same format as with the `Deals` endpoints. If a custom field's value hasn't been set for the lead, it won't appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields’ structure from deals.
GET /v1/leads/{id} - Read
List permitted users (v1)
Lists the users permitted to access a lead.
GET /v1/leads/{id}/permittedUsers - Read
Search leads (v1)
Searches all leads by title, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope. Found leads can be filtered by the person ID and the organization ID.
GET /v1/leads/search - Read
Get all lead fields (v1)
Returns data about all lead fields.
GET /v1/leadFields - Read
Get all lead labels (v1)
Returns details of all lead labels. This endpoint does not support pagination and all labels are always returned.
GET /v1/leadLabels - Read
Get all lead sources (v1)
Returns all lead sources. Please note that the list of lead sources is fixed, it cannot be modified. All leads created through the Pipedrive API will have a lead source `API` assigned.
GET /v1/leadSources - Read
Get all teams (v1)
Returns data about teams within the company.
GET /v1/legacyTeams - Read
Get a single team (v1)
Returns data about a specific team.
GET /v1/legacyTeams/{id} - Read
Get all users in a team (v1)
Returns a list of all user IDs within a team.
GET /v1/legacyTeams/{id}/users - Read
Get all teams of a user (v1)
Returns data about all teams which have the specified user as a member.
GET /v1/legacyTeams/user/{id} - Read
Get one mail message (v1)
Returns data about a specific mail message.
GET /v1/mailbox/mailMessages/{id} - Read
Get mail threads (v1)
Returns mail threads in a specified folder ordered by the most recent message within.
GET /v1/mailbox/mailThreads - Read
Get one mail thread (v1)
Returns a specific mail thread.
GET /v1/mailbox/mailThreads/{id} - Read
Get all mail messages of mail thread (v1)
Returns all the mail messages inside a specified mail thread.
GET /v1/mailbox/mailThreads/{id}/mailMessages - Read
Get all notes (v1)
Returns all notes.
GET /v1/notes - Read
Get one note (v1)
Returns details about a specific note.
GET /v1/notes/{id} - Read
Get all comments for a note (v1)
Returns all comments associated with a note.
GET /v1/notes/{id}/comments - Read
Get one comment (v1)
Returns the details of a comment.
GET /v1/notes/{id}/comments/{commentId} - Read
Get all note fields (v1)
Returns data about all note fields.
GET /v1/noteFields - Read
List updates about organization field values (v1)
Lists updates about field values of an organization.
GET /v1/organizations/{id}/changelog - Read
List files attached to an organization (v1)
Lists files associated with an organization.
GET /v1/organizations/{id}/files - Read
List updates about an organization (v1)
Lists updates about an organization.
GET /v1/organizations/{id}/flow - Read
List followers of an organization (v1)
Lists the followers of an organization.
GET /v1/organizations/{id}/followers - Read
List mail messages associated with an organization (v1)
Lists mail messages associated with an organization.
GET /v1/organizations/{id}/mailMessages - Read
List permitted users (v1)
List users permitted to access an organization.
GET /v1/organizations/{id}/permittedUsers - Read
Get all organization fields (v1)
Returns data about all organization fields.
GET /v1/organizationFields - Read
Get one organization field (v1)
Returns data about a specific organization field.
GET /v1/organizationFields/{id} - Read
Get all relationships for organization (v1)
Gets all of the relationships for a supplied organization ID.
GET /v1/organizationRelationships - Read
Get one organization relationship (v1)
Finds and returns an organization relationship from its ID.
GET /v1/organizationRelationships/{id} - Read
Get all permission sets (v1)
Returns data about all permission sets.
GET /v1/permissionSets - Read
Get one permission set (v1)
Returns data about a specific permission set.
GET /v1/permissionSets/{id} - Read
List permission set assignments (v1)
Returns the list of assignments for a permission set.
GET /v1/permissionSets/{id}/assignments - Read
List updates about person field values (v1)
Lists updates about field values of a person.
GET /v1/persons/{id}/changelog - Read
List files attached to a person (v1)
Lists files associated with a person.
GET /v1/persons/{id}/files - Read
List updates about a person (v1)
Lists updates about a person.If a company uses the [Campaigns product](https://pipedrive.readme.io/docs/campaigns-in-pipedrive-api), then this endpoint's response will also include updates for the `marketing_status` field.
GET /v1/persons/{id}/flow - Read
List followers of a person (v1)
Lists the followers of a person.
GET /v1/persons/{id}/followers - Read
List mail messages associated with a person (v1)
Lists mail messages associated with a person.
GET /v1/persons/{id}/mailMessages - Read
List permitted users (v1)
List users permitted to access a person.
GET /v1/persons/{id}/permittedUsers - Read
List products associated with a person (v1)
Lists products associated with a person.
GET /v1/persons/{id}/products - Read
Get all person fields (v1)
Returns data about all person fields.If a company uses the [Campaigns product](https://pipedrive.readme.io/docs/campaigns-in-pipedrive-api), then this endpoint will also return the `data.marketing_status` field.
GET /v1/personFields - Read
Get one person field (v1)
Returns data about a specific person field.
GET /v1/personFields/{id} - Read
Get deals conversion rates in pipeline (v1)
Returns all stage-to-stage conversion and pipeline-to-close rates for the given time period.
GET /v1/pipelines/{id}/conversion_statistics - Read
Get deals in a pipeline (v1) (deprecated)
Lists deals in a specific pipeline across all its stages. If no parameters are provided open deals owned by the authorized user will be returned. This endpoint has been deprecated. Please use GET /api/v2/deals?pipeline_id={id} instead.
GET /v1/pipelines/{id}/deals - Read
Get deals movements in pipeline (v1)
Returns statistics for deals movements for the given time period.
GET /v1/pipelines/{id}/movement_statistics - Read
Get deals where a product is attached to (v1)
Returns data about deals that have a product attached to it.
GET /v1/products/{id}/deals - Read
List files attached to a product (v1)
Lists files associated with a product.
GET /v1/products/{id}/files - Read
List followers of a product (v1)
Lists the followers of a product.
GET /v1/products/{id}/followers - Read
List permitted users (v1)
Lists users permitted to access a product.
GET /v1/products/{id}/permittedUsers - Read
Get all product fields (v1)
Returns data about all product fields.
GET /v1/productFields - Read
Get one product field (v1)
Returns data about a specific product field.
GET /v1/productFields/{id} - Read
Get all projects (v1)
Returns all projects. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.
GET /v1/projects - Read
Get details of a project (v1)
Returns the details of a specific project. Also note that custom fields appear as long hashes in the resulting data. These hashes can be mapped against the `key` value of project fields.
GET /v1/projects/{id} - Read
Returns project plan (v1)
Returns information about items in a project plan. Items consists of tasks and activities and are linked to specific project phase and group.
GET /v1/projects/{id}/plan - Read
Returns project groups (v1)
Returns all active groups under a specific project.
GET /v1/projects/{id}/groups - Read
Returns project tasks (v1)
Returns tasks linked to a specific project.
GET /v1/projects/{id}/tasks - Read
Returns project activities (v1)
Returns activities linked to a specific project.
GET /v1/projects/{id}/activities - Read
Get all project boards (v1)
Returns all projects boards that are not deleted.
GET /v1/projects/boards - Read
Get details of a board (v1)
Returns the details of a specific project board.
GET /v1/projects/boards/{id} - Read
Get project phases (v1)
Returns all active project phases under a specific board.
GET /v1/projects/phases - Read
Get details of a phase (v1)
Returns the details of a specific project phase.
GET /v1/projects/phases/{id} - Read
Get all project templates (v1)
Returns all not deleted project templates. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.
GET /v1/projectTemplates - Read
Get details of a template (v1)
Returns the details of a specific project template.
GET /v1/projectTemplates/{id} - Read
Get recents (v1)
Returns data about all recent changes occurred after the given timestamp.
GET /v1/recents - Read
Get all roles (v1)
Returns all the roles within the company.
GET /v1/roles - Read
Get one role (v1)
Returns the details of a specific role.
GET /v1/roles/{id} - Read
List role assignments (v1)
Returns all users assigned to a role.
GET /v1/roles/{id}/assignments - Read
List role settings (v1)
Returns the visibility settings of a specific role.
GET /v1/roles/{id}/settings - Read
List pipeline visibility for a role (v1)
Returns the list of either visible or hidden pipeline IDs for a specific role. For more information on pipeline visibility, please refer to the Visibility groups article.
GET /v1/roles/{id}/pipelines - Read
Get deals in a stage (v1) (deprecated)
Lists deals in a specific stage. If no parameters are provided open deals owned by the authorized user will be returned. This endpoint has been deprecated. Please use GET /api/v2/deals?stage_id={id} instead.
GET /v1/stages/{id}/deals - Read
Get all tasks (v1)
Returns all tasks. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.
GET /v1/tasks - Read
Get details of a task (v1)
Returns the details of a specific task.
GET /v1/tasks/{id} - Read
Get all users (v1)
Returns data about all users within the company.
GET /v1/users - Read
Find users by name (v1)
Finds users by their name.
GET /v1/users/find - Read
Get current user data (v1)
Returns data about an authorized user within the company with bound company data: company ID, company name, and domain. Note that the `locale` property means 'Date/number format' in the Pipedrive account settings, not the chosen language.
GET /v1/users/me - Read
Get one user (v1)
Returns data about a specific user within the company.
GET /v1/users/{id} - Read
List followers of a user (v1)
Lists the followers of a specific user.
GET /v1/users/{id}/followers - Read
List user permissions (v1)
Lists aggregated permissions over all assigned permission sets for a user.
GET /v1/users/{id}/permissions - Read
List role assignments (v1)
Lists role assignments for a user.
GET /v1/users/{id}/roleAssignments - Read
List user role settings (v1)
Lists the settings of user's assigned role.
GET /v1/users/{id}/roleSettings - Read
Get all user connections (v1)
Returns data about all connections for the authorized user.
GET /v1/userConnections - Read
List settings of an authorized user (v1)
Lists the settings of an authorized user. Example response contains a shortened list of settings.
GET /v1/userSettings - Read
Get all Webhooks (v1)
Returns data about all the Webhooks of a company.
GET /v1/webhooks - Write
Add new activity type (v1)
Adds a new activity type.
POST /v1/activityTypes - Write
Update an activity type (v1)
Updates an activity type.
PUT /v1/activityTypes/{id} - Write
Add a call log (v1)
Adds a new call log.
POST /v1/callLogs - Write
Attach an audio file to the call log (v1)
Adds an audio recording to the call log. That audio can be played by those who have access to the call log object.
POST /v1/callLogs/{id}/recordings - Write
Add a channel (v1) (deprecated)
Adds a new messaging channel, only admins are able to register new channels. It will use the getConversations endpoint to fetch conversations, participants and messages afterward. To use the endpoint, you need to have **Messengers integration** OAuth scope enabled and the Messaging manifest ready for the [Messaging app extension](https://pipedrive.readme.io/docs/messaging-app-extension).
POST /v1/channels - Write
Receives an incoming message (v1) (deprecated)
Adds a message to a conversation. To use the endpoint, you need to have **Messengers integration** OAuth scope enabled and the Messaging manifest ready for the [Messaging app extension](https://pipedrive.readme.io/docs/messaging-app-extension).
POST /v1/channels/messages/receive - Write
Duplicate deal (v1)
Duplicates a deal.
POST /v1/deals/{id}/duplicate - Write
Add a follower to a deal (v1)
Adds a follower to a deal.
POST /v1/deals/{id}/followers - Write
Delete a follower from a deal (v1)
Deletes a follower from a deal.
DELETE /v1/deals/{id}/followers/{follower_id} - Write
Add a participant to a deal (v1)
Adds a participant to a deal.
POST /v1/deals/{id}/participants - Write
Delete a participant from a deal (v1)
Deletes a participant from a deal.
DELETE /v1/deals/{id}/participants/{deal_participant_id} - Write
Add a new deal field (v1)
Adds a new deal field. For more information, see the tutorial for adding a new custom field.
POST /v1/dealFields - Write
Update a deal field (v1)
Updates a deal field. For more information, see the tutorial for updating custom fields' values.
PUT /v1/dealFields/{id} - Write
Add file (v1)
Lets you upload a file and associate it with a deal, person, organization, activity, product or lead. For more information, see the tutorial for adding a file.
POST /v1/files - Write
Create a remote file and link it to an item (v1)
Creates a new empty file in the remote location (`googledrive`) that will be linked to the item you supply. For more information, see the tutorial for adding a remote file.
POST /v1/files/remote - Write
Link a remote file to an item (v1)
Links an existing remote file (`googledrive`) to the item you supply. For more information, see the tutorial for adding a remote file.
POST /v1/files/remoteLink - Write
Update file details (v1)
Updates the properties of a file.
PUT /v1/files/{id} - Write
Add a new filter (v1)
Adds a new filter, returns the ID upon success. Note that in the conditions JSON object only one first-level condition group is supported, and it must be glued with 'AND', and only two second level condition groups are supported of which one must be glued with 'AND' and the second with 'OR'. Other combinations do not work (yet) but the syntax supports introducing them in future. For more information, see the tutorial for adding a filter.
POST /v1/filters - Write
Update filter (v1)
Updates an existing filter.
PUT /v1/filters/{id} - Write
Add a new goal (v1)
Adds a new goal. Along with adding a new goal, a report is created to track the progress of your goal.
POST /v1/goals - Write
Update existing goal (v1)
Updates an existing goal.
PUT /v1/goals/{id} - Write
Add a lead (v1)
Creates a lead. A lead always has to be linked to a person or an organization or both. All leads created through the Pipedrive API will have a lead source and origin set to `API`. Here's the tutorial for adding a lead. If a lead contains custom fields, the fields' values will be included in the response in the same format as with the `Deals` endpoints. If a custom field's value hasn't been set for the lead, it won't appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields' structure from deals. See an example given in the updating custom fields' values tutorial.
POST /v1/leads - Write
Add a lead label (v1)
Creates a lead label.
POST /v1/leadLabels - Write
Update a lead label (v1)
Updates one or more properties of a lead label. Only properties included in the request will be updated.
PATCH /v1/leadLabels/{id} - Write
Add a new team (v1)
Adds a new team to the company and returns the created object.
POST /v1/legacyTeams - Write
Add users to a team (v1)
Adds users to an existing team.
POST /v1/legacyTeams/{id}/users - Write
Delete users from a team (v1)
Deletes users from an existing team.
DELETE /v1/legacyTeams/{id}/users - Write
Update mail thread details (v1)
Updates the properties of a mail thread.
PUT /v1/mailbox/mailThreads/{id} - Write
Link a user with the installed video call integration (v1)
A video calling provider must call this endpoint after a user has installed the video calling app so that the new user's information is sent.
POST /v1/meetings/userProviderLinks - Write
Delete the link between a user and the installed video call integration (v1)
A video calling provider must call this endpoint to remove the link between a user and the installed video calling app.
DELETE /v1/meetings/userProviderLinks/{id} - Write
Add a note (v1)
Adds a new note.
POST /v1/notes - Write
Update a note (v1)
Updates a note.
PUT /v1/notes/{id} - Write
Add a comment to a note (v1)
Adds a new comment to a note.
POST /v1/notes/{id}/comments - Write
Update a comment related to a note (v1)
Updates a comment related to a note.
PUT /v1/notes/{id}/comments/{commentId} - Write
Add a follower to an organization (v1)
Adds a follower to an organization.
POST /v1/organizations/{id}/followers - Write
Delete a follower from an organization (v1)
Deletes a follower from an organization. You can retrieve the `follower_id` from the List followers of an organization endpoint.
DELETE /v1/organizations/{id}/followers/{follower_id} - Write
Add a new organization field (v1)
Adds a new organization field. For more information, see the tutorial for adding a new custom field.
POST /v1/organizationFields - Write
Update an organization field (v1)
Updates an organization field. For more information, see the tutorial for updating custom fields' values.
PUT /v1/organizationFields/{id} - Write
Create an organization relationship (v1)
Creates and returns an organization relationship.
POST /v1/organizationRelationships - Write
Update an organization relationship (v1)
Updates and returns an organization relationship.
PUT /v1/organizationRelationships/{id} - Write
Add a follower to a person (v1)
Adds a follower to a person.
POST /v1/persons/{id}/followers - Write
Delete a follower from a person (v1)
Deletes a follower from a person.
DELETE /v1/persons/{id}/followers/{follower_id} - Write
Add a new person field (v1)
Adds a new person field. For more information, see the tutorial for adding a new custom field.
POST /v1/personFields - Write
Update a person field (v1)
Updates a person field. For more information, see the tutorial for updating custom fields' values.
PUT /v1/personFields/{id} - Write
Add a follower to a product (v1)
Adds a follower to a product.
POST /v1/products/{id}/followers - Write
Delete a follower from a product (v1)
Deletes a follower from a product.
DELETE /v1/products/{id}/followers/{follower_id} - Write
Add a new product field (v1)
Adds a new product field. For more information, see the tutorial for adding a new custom field.
POST /v1/productFields - Write
Update a product field (v1)
Updates a product field. For more information, see the tutorial for updating custom fields' values.
PUT /v1/productFields/{id} - Write
Add a project (v1)
Adds a new project. Note that you can supply additional custom fields along with the request that are not described here. These custom fields are different for each Pipedrive account and can be recognized by long hashes as keys.
POST /v1/projects - Write
Update a project (v1)
Updates a project.
PUT /v1/projects/{id} - Write
Archive a project (v1)
Archives a project.
POST /v1/projects/{id}/archive - Write
Update activity in project plan (v1)
Updates an activity phase or group in a project.
PUT /v1/projects/{id}/plan/activities/{activityId} - Write
Update task in project plan (v1)
Updates a task phase or group in a project.
PUT /v1/projects/{id}/plan/tasks/{taskId} - Write
Add a role (v1)
Adds a new role.
POST /v1/roles - Write
Update role details (v1)
Updates the parent role and/or the name of a specific role.
PUT /v1/roles/{id} - Write
Delete a role assignment (v1)
Removes the assigned user from a role and adds to the default role.
DELETE /v1/roles/{id}/assignments - Write
Add role assignment (v1)
Assigns a user to a role.
POST /v1/roles/{id}/assignments - Write
Add or update role setting (v1)
Adds or updates the visibility setting for a role.
POST /v1/roles/{id}/settings - Write
Update pipeline visibility for a role (v1)
Updates the specified pipelines to be visible and/or hidden for a specific role. For more information on pipeline visibility, please refer to the Visibility groups article.
PUT /v1/roles/{id}/pipelines - Write
Add a task (v1)
Adds a new task.
POST /v1/tasks - Write
Update a task (v1)
Updates a task.
PUT /v1/tasks/{id} - Write
Add a new user (v1)
Adds a new user to the company, returns the ID upon success.
POST /v1/users - Write
Update user details (v1)
Updates the properties of a user. Currently, only `active_flag` can be updated.
PUT /v1/users/{id} - Write
Create a new Webhook (v1)
Creates a new Webhook and returns its details. Note that specifying an event which triggers the Webhook combines 2 parameters - `event_action` and `event_object`. E.g., use `*.*` for getting notifications about all events, `create.deal` for any newly added deals, `delete.persons` for any deleted persons, etc. See the guide for Webhooks for more details.
POST /v1/webhooks - Destructive
Delete an activity type (v1)
Marks an activity type as deleted.
DELETE /v1/activityTypes/{id} - Destructive
Delete a call log (v1)
Deletes a call log. If there is an audio recording attached to it, it will also be deleted. The related activity will not be removed by this request. If you want to remove the related activities, please use the endpoint which is specific for activities.
DELETE /v1/callLogs/{id} - Destructive
Delete a channel (v1) (deprecated)
Deletes an existing messenger’s channel and all related entities (conversations and messages). To use the endpoint, you need to have **Messengers integration** OAuth scope enabled and the Messaging manifest ready for the [Messaging app extension](https://pipedrive.readme.io/docs/messaging-app-extension).
DELETE /v1/channels/{id} - Destructive
Delete a conversation (v1) (deprecated)
Deletes an existing conversation. To use the endpoint, you need to have **Messengers integration** OAuth scope enabled and the Messaging manifest ready for the [Messaging app extension](https://pipedrive.readme.io/docs/messaging-app-extension).
DELETE /v1/channels/{channel-id}/conversations/{conversation-id} - Destructive
Merge two deals (v1)
Merges a deal with another deal. For more information, see the tutorial for merging two deals.
PUT /v1/deals/{id}/merge - Destructive
Delete multiple deal fields in bulk (v1)
Marks multiple deal fields as deleted.
DELETE /v1/dealFields - Destructive
Delete a deal field (v1)
Marks a field as deleted. For more information, see the tutorial for deleting a custom field.
DELETE /v1/dealFields/{id} - Destructive
Delete a file (v1)
Marks a file as deleted. After 30 days, the file will be permanently deleted.
DELETE /v1/files/{id} - Destructive
Delete multiple filters in bulk (v1)
Marks multiple filters as deleted.
DELETE /v1/filters - Destructive
Delete a filter (v1)
Marks a filter as deleted.
DELETE /v1/filters/{id} - Destructive
Delete existing goal (v1)
Marks a goal as deleted.
DELETE /v1/goals/{id} - Destructive
Update a lead (v1)
Updates one or more properties of a lead. Only properties included in the request will be updated. Send `null` to unset a property (applicable for example for `value`, `person_id` or `organization_id`). If a lead contains custom fields, the fields' values will be included in the response in the same format as with the `Deals` endpoints. If a custom field's value hasn't been set for the lead, it won't appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields’ structure from deals. See an example given in the updating custom fields’ values tutorial.
PATCH /v1/leads/{id} - Destructive
Delete a lead (v1)
Deletes a specific lead.
DELETE /v1/leads/{id} - Destructive
Delete a lead label (v1)
Deletes a specific lead label.
DELETE /v1/leadLabels/{id} - Destructive
Update a team (v1)
Updates an existing team and returns the updated object.
PUT /v1/legacyTeams/{id} - Destructive
Delete mail thread (v1)
Marks a mail thread as deleted.
DELETE /v1/mailbox/mailThreads/{id} - Destructive
Delete a note (v1)
Deletes a specific note.
DELETE /v1/notes/{id} - Destructive
Delete a comment related to a note (v1)
Deletes a comment.
DELETE /v1/notes/{id}/comments/{commentId} - Destructive
Merge two organizations (v1)
Merges an organization with another organization. For more information, see the tutorial for merging two organizations.
PUT /v1/organizations/{id}/merge - Destructive
Delete multiple organization fields in bulk (v1)
Marks multiple fields as deleted.
DELETE /v1/organizationFields - Destructive
Delete an organization field (v1)
Marks a field as deleted. For more information, see the tutorial for deleting a custom field.
DELETE /v1/organizationFields/{id} - Destructive
Delete an organization relationship (v1)
Deletes an organization relationship and returns the deleted ID.
DELETE /v1/organizationRelationships/{id} - Destructive
Merge two persons (v1)
Merges a person with another person. For more information, see the tutorial for merging two persons.
PUT /v1/persons/{id}/merge - Destructive
Delete person picture (v1)
Deletes a person’s picture.
DELETE /v1/persons/{id}/picture - Destructive
Add person picture (v1)
Adds a picture to a person. If a picture is already set, the old picture will be replaced. Added image (or the cropping parameters supplied with the request) should have an equal width and height and should be at least 128 pixels. GIF, JPG and PNG are accepted. All added images will be resized to 128 and 512 pixel wide squares.
POST /v1/persons/{id}/picture - Destructive
Delete multiple person fields in bulk (v1)
Marks multiple fields as deleted.
DELETE /v1/personFields - Destructive
Delete a person field (v1)
Marks a field as deleted. For more information, see the tutorial for deleting a custom field.
DELETE /v1/personFields/{id} - Destructive
Delete multiple product fields in bulk (v1)
Marks multiple fields as deleted.
DELETE /v1/productFields - Destructive
Delete a product field (v1)
Marks a product field as deleted. For more information, see the tutorial for deleting a custom field.
DELETE /v1/productFields/{id} - Destructive
Delete a project (v1)
Marks a project as deleted.
DELETE /v1/projects/{id} - Destructive
Delete a role (v1)
Marks a role as deleted.
DELETE /v1/roles/{id} - Destructive
Delete a task (v1)
Marks a task as deleted. If the task has subtasks then those will also be deleted.
DELETE /v1/tasks/{id} - Destructive
Delete existing Webhook (v1)
Deletes the specified Webhook.
DELETE /v1/webhooks/{id}
V2
- Read
Get all activities (v2)
Returns data about all activities.
GET /api/v2/activities - Read
Get details of an activity (v2)
Returns the details of a specific activity.
GET /api/v2/activities/{id} - Read
Get all activity fields (v2)
Returns metadata about all activity fields in the company.
GET /api/v2/activityFields - Read
Get one activity field (v2)
Returns metadata about a specific activity field.
GET /api/v2/activityFields/{field_code} - Read
Get all deals (v2)
Returns data about all not archived deals.
GET /api/v2/deals - Read
Get all archived deals (v2)
Returns data about all archived deals.
GET /api/v2/deals/archived - Read
Get details of a deal (v2)
Returns the details of a specific deal.
GET /api/v2/deals/{id} - Read
List followers of a deal (v2)
Lists users who are following the deal.
GET /api/v2/deals/{id}/followers - Read
List followers changelog of a deal (v2)
Lists changelogs about users have followed the deal.
GET /api/v2/deals/{id}/followers/changelog - Read
Get deal products of several deals (v2)
Returns data about products attached to deals
GET /api/v2/deals/products - Read
Search deals (v2)
Searches all deals by title, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope. Found deals can be filtered by the person ID and the organization ID.
GET /api/v2/deals/search - Read
List products attached to a deal (v2)
Lists products attached to a deal.
GET /api/v2/deals/{id}/products - Read
List discounts added to a deal (v2)
Lists discounts attached to a deal.
GET /api/v2/deals/{id}/discounts - Read
List installments added to a list of deals (v2)
Lists installments attached to a list of deals. Only available in Growth and above plans.
GET /api/v2/deals/installments - Read
Get all deal fields (v2)
Returns metadata about all deal fields in the company.
GET /api/v2/dealFields - Read
Get one deal field (v2)
Returns metadata about a specific deal field.
GET /api/v2/dealFields/{field_code} - Read
Get Deal conversion status (v2)
Returns information about the conversion. Status is always present and its value (not_started, running, completed, failed, rejected) represents the current state of the conversion. Lead ID is only present if the conversion was successfully finished. This data is only temporary and removed after a few days.
GET /api/v2/deals/{id}/convert/status/{conversion_id} - Read
Get all persons (v2)
Returns data about all persons. Fields `ims`, `postal_address`, `notes`, `birthday`, and `job_title` are only included if contact sync is enabled for the company.
GET /api/v2/persons - Read
Get details of a person (v2)
Returns the details of a specific person. Fields `ims`, `postal_address`, `notes`, `birthday`, and `job_title` are only included if contact sync is enabled for the company.
GET /api/v2/persons/{id} - Read
List followers of a person (v2)
Lists users who are following the person.
GET /api/v2/persons/{id}/followers - Read
List followers changelog of a person (v2)
Lists changelogs about users have followed the person.
GET /api/v2/persons/{id}/followers/changelog - Read
Get picture of a person (v2)
Returns the picture associated with a person. The picture URLs include both 128x128 and 512x512 pixel versions.
GET /api/v2/persons/{id}/picture - Read
Get all person fields (v2)
Returns metadata about all person fields in the company.
GET /api/v2/personFields - Read
Get one person field (v2)
Returns metadata about a specific person field.
GET /api/v2/personFields/{field_code} - Read
Get all organizations (v2)
Returns data about all organizations.
GET /api/v2/organizations - Read
Get details of a organization (v2)
Returns the details of a specific organization.
GET /api/v2/organizations/{id} - Read
List followers of an organization (v2)
Lists users who are following the organization.
GET /api/v2/organizations/{id}/followers - Read
List followers changelog of an organization (v2)
Lists changelogs about users have followed the organization.
GET /api/v2/organizations/{id}/followers/changelog - Read
Get all organization fields (v2)
Returns metadata about all organization fields in the company.
GET /api/v2/organizationFields - Read
Get one organization field (v2)
Returns metadata about a specific organization field.
GET /api/v2/organizationFields/{field_code} - Read
Get all products (v2)
Returns data about all products.
GET /api/v2/products - Read
List followers of a product (v2)
Lists users who are following the product.
GET /api/v2/products/{id}/followers - Read
List followers changelog of a product (v2)
Lists changelogs about users have followed the product.
GET /api/v2/products/{id}/followers/changelog - Read
Search products (v2)
Searches all products by name, code and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope.
GET /api/v2/products/search - Read
Get one product (v2)
Returns data about a specific product.
GET /api/v2/products/{id} - Read
Get all product variations (v2)
Returns data about all product variations.
GET /api/v2/products/{id}/variations - Read
Get image of a product (v2)
Retrieves the image of a product. The public URL has a limited lifetime of 7 days.
GET /api/v2/products/{id}/images - Read
Get all product fields (v2)
Returns metadata about all product fields in the company.
GET /api/v2/productFields - Read
Get one product field (v2)
Returns metadata about a specific product field.
GET /api/v2/productFields/{field_code} - Read
Search leads (v2)
Searches all leads by title, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope. Found leads can be filtered by the person ID and the organization ID.
GET /api/v2/leads/search - Read
Get Lead conversion status (v2)
Returns data about the conversion. Status is always present and its value (not_started, running, completed, failed, rejected) represents the current state of the conversion. Deal ID is only present if the conversion was successfully finished. This data is only temporary and removed after a few days.
GET /api/v2/leads/{id}/convert/status/{conversion_id} - Read
Search organizations (v2)
Searches all organizations by name, address, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope.
GET /api/v2/organizations/search - Read
Search persons (v2)
Searches all persons by name, email, phone, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope. Found persons can be filtered by organization ID.
GET /api/v2/persons/search - Read
Perform a search from multiple item types (v2)
Performs a search from your choice of item types and fields.
GET /api/v2/itemSearch - Read
Perform a search using a specific field from an item type (v2)
Performs a search from the values of a specific field. Results can either be the distinct values of the field (useful for searching autocomplete field values), or the IDs of actual items (deals, leads, persons, organizations or products).
GET /api/v2/itemSearch/field - Read
Get all stages (v2)
Returns data about all stages.
GET /api/v2/stages - Read
Get one stage (v2)
Returns data about a specific stage.
GET /api/v2/stages/{id} - Read
Get all pipelines (v2)
Returns data about all pipelines.
GET /api/v2/pipelines - Read
Get one pipeline (v2)
Returns data about a specific pipeline.
GET /api/v2/pipelines/{id} - Read
Get all project fields (v2)
Returns metadata about all project fields in the company.
GET /api/v2/projectFields - Read
Get one project field (v2)
Returns metadata about a specific project field.
GET /api/v2/projectFields/{field_code} - Read
Get all projects (v2)
Returns all non-archived projects.
GET /api/v2/projects - Read
Get all archived projects (v2)
Returns all archived projects.
GET /api/v2/projects/archived - Read
Get details of a project (v2)
Returns the details of a specific project. Custom fields appear as keys inside the `custom_fields` object.
GET /api/v2/projects/{id} - Read
Get all project templates (v2)
Returns all not deleted project templates.
GET /api/v2/projectTemplates - Read
Get details of a template (v2)
Returns the details of a specific project template.
GET /api/v2/projectTemplates/{id} - Read
Search projects (v2)
Searches all projects by title, description, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope. Found projects can be filtered by person ID or organization ID.
GET /api/v2/projects/search - Read
List permitted users (v2)
Lists the users permitted to access a project.
GET /api/v2/projects/{id}/permittedUsers - Read
List updates about project field values (v2)
Lists updates about field values of a project.
GET /api/v2/projects/{id}/changelog - Read
Get all tasks (v2)
Returns all tasks.
GET /api/v2/tasks - Read
Get details of a task (v2)
Returns the details of a specific task.
GET /api/v2/tasks/{id} - Read
Get all project boards (v2)
Returns all active project boards.
GET /api/v2/boards - Read
Get details of a project board (v2)
Returns the details of a specific project board.
GET /api/v2/boards/{id} - Read
Get project phases (v2)
Returns all active project phases under a specific board.
GET /api/v2/phases - Read
Get details of a project phase (v2)
Returns the details of a specific project phase.
GET /api/v2/phases/{id} - Read
List followers of a user (v2)
Lists users who are following the user.
GET /api/v2/users/{id}/followers - Write
Add a new activity (v2)
Adds a new activity.
POST /api/v2/activities - Write
Add a new deal (v2)
Adds a new deal.
POST /api/v2/deals - Write
Add a follower to a deal (v2)
Adds a user as a follower to the deal.
POST /api/v2/deals/{id}/followers - Write
Delete a follower from a deal (v2)
Deletes a user follower from the deal.
DELETE /api/v2/deals/{id}/followers/{follower_id} - Write
Add a product to a deal (v2)
Adds a product to a deal, creating a new item called a deal-product.
POST /api/v2/deals/{id}/products - Write
Update the product attached to a deal (v2)
Updates the details of the product that has been attached to a deal.
PATCH /api/v2/deals/{id}/products/{product_attachment_id} - Write
Add multiple products to a deal (v2)
Adds multiple products to a deal in a single request. Maximum of 100 products allowed per request.
POST /api/v2/deals/{id}/products/bulk - Write
Add a discount to a deal (v2)
Adds a discount to a deal, changing the deal value if the deal has one-time products attached.
POST /api/v2/deals/{id}/discounts - Write
Update a discount added to a deal (v2)
Edits a discount added to a deal, changing the deal value if the deal has one-time products attached.
PATCH /api/v2/deals/{id}/discounts/{discount_id} - Write
Add an installment to a deal (v2)
Adds an installment to a deal. An installment can only be added if the deal includes at least one one-time product. If the deal contains at least one recurring product, adding installments is not allowed. Only available in Growth and above plans.
POST /api/v2/deals/{id}/installments - Write
Update an installment added to a deal (v2)
Edits an installment added to a deal. Only available in Growth and above plans.
PATCH /api/v2/deals/{id}/installments/{installment_id} - Write
Create one deal field (v2)
Creates a new deal custom field.
POST /api/v2/dealFields - Write
Update one deal field (v2)
Updates a deal custom field. The field_code and field_type cannot be changed. At least one field must be provided in the request body.
PATCH /api/v2/dealFields/{field_code} - Write
Add deal field options in bulk (v2)
Adds new options to a deal custom field that supports options (enum or set field types). This operation is atomic - all options are added or none are added. Returns only the newly added options.
POST /api/v2/dealFields/{field_code}/options - Write
Update deal field options in bulk (v2)
Updates existing options for a deal custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the updated options.
PATCH /api/v2/dealFields/{field_code}/options - Write
Add a new person (v2)
Adds a new person. If the company uses the [Campaigns product](https://pipedrive.readme.io/docs/campaigns-in-pipedrive-api), then this endpoint will also accept and return the `marketing_status` field. The `im`, `postal_address`, `notes`, `birthday` and `job_title` fields don't exist by default in Pipedrive and are only created when you set up your contact sync — attempting to set any of them without contact sync enabled returns a 403.
POST /api/v2/persons - Write
Add a follower to a person (v2)
Adds a user as a follower to the person.
POST /api/v2/persons/{id}/followers - Write
Delete a follower from a person (v2)
Deletes a user follower from the person.
DELETE /api/v2/persons/{id}/followers/{follower_id} - Write
Create one person field (v2)
Creates a new person custom field.
POST /api/v2/personFields - Write
Update one person field (v2)
Updates a person custom field. The field_code and field_type cannot be changed. At least one field must be provided in the request body.
PATCH /api/v2/personFields/{field_code} - Write
Add person field options in bulk (v2)
Adds new options to a person custom field that supports options (enum or set field types). This operation is atomic - all options are added or none are added. Returns only the newly added options.
POST /api/v2/personFields/{field_code}/options - Write
Update person field options in bulk (v2)
Updates existing options for a person custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the updated options.
PATCH /api/v2/personFields/{field_code}/options - Write
Add a new organization (v2)
Adds a new organization.
POST /api/v2/organizations - Write
Add a follower to an organization (v2)
Adds a user as a follower to the organization.
POST /api/v2/organizations/{id}/followers - Write
Delete a follower from an organization (v2)
Deletes a user follower from the organization.
DELETE /api/v2/organizations/{id}/followers/{follower_id} - Write
Create one organization field (v2)
Creates a new organization custom field.
POST /api/v2/organizationFields - Write
Update one organization field (v2)
Updates an organization custom field. The field_code and field_type cannot be changed. At least one field must be provided in the request body.
PATCH /api/v2/organizationFields/{field_code} - Write
Add organization field options in bulk (v2)
Adds new options to an organization custom field that supports options (enum or set field types). This operation is atomic - all options are added or none are added. Returns only the newly added options.
POST /api/v2/organizationFields/{field_code}/options - Write
Update organization field options in bulk (v2)
Updates existing options for an organization custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the updated options.
PATCH /api/v2/organizationFields/{field_code}/options - Write
Add a product (v2)
Adds a new product to the Products inventory. For more information, see the tutorial for adding a product.
POST /api/v2/products - Write
Add a follower to a product (v2)
Adds a user as a follower to the product.
POST /api/v2/products/{id}/followers - Write
Delete a follower from a product (v2)
Deletes a user follower from the product.
DELETE /api/v2/products/{id}/followers/{follower_id} - Write
Duplicate a product (v2)
Creates a duplicate of an existing product including all variations, prices, and custom fields.
POST /api/v2/products/{id}/duplicate - Write
Add a product variation (v2)
Adds a new product variation.
POST /api/v2/products/{id}/variations - Write
Update a product variation (v2)
Updates product variation data.
PATCH /api/v2/products/{id}/variations/{product_variation_id} - Write
Upload an image for a product (v2)
Uploads an image for a product.
POST /api/v2/products/{id}/images - Write
Create one product field (v2)
Creates a new product custom field.
POST /api/v2/productFields - Write
Update one product field (v2)
Updates a product custom field. The field_code and field_type cannot be changed. At least one field must be provided in the request body.
PATCH /api/v2/productFields/{field_code} - Write
Add product field options in bulk (v2)
Adds new options to a product custom field that supports options (enum or set field types). This operation is atomic - all options are added or none are added. Returns only the newly added options.
POST /api/v2/productFields/{field_code}/options - Write
Update product field options in bulk (v2)
Updates existing options for a product custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the updated options.
PATCH /api/v2/productFields/{field_code}/options - Write
Add a new stage (v2)
Adds a new stage, returns the ID upon success.
POST /api/v2/stages - Write
Update stage details (v2)
Updates the properties of a stage.
PATCH /api/v2/stages/{id} - Write
Add a new pipeline (v2)
Adds a new pipeline.
POST /api/v2/pipelines - Write
Update a pipeline (v2)
Updates the properties of a pipeline.
PATCH /api/v2/pipelines/{id} - Write
Create one project field (v2)
Creates a new project custom field.
POST /api/v2/projectFields - Write
Update one project field (v2)
Updates a project custom field. The field_code and field_type cannot be changed. At least one field must be provided in the request body.
PATCH /api/v2/projectFields/{field_code} - Write
Add project field options in bulk (v2)
Adds new options to a project custom field that supports options (enum or set field types). This operation is atomic - all options are added or none are added. Returns only the newly added options.
POST /api/v2/projectFields/{field_code}/options - Write
Update project field options in bulk (v2)
Updates existing options for a project custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the updated options.
PATCH /api/v2/projectFields/{field_code}/options - Write
Add a project (v2)
Adds a new project. Custom fields should be wrapped in the `custom_fields` object.
POST /api/v2/projects - Write
Archive a project (v2)
Archives a project.
POST /api/v2/projects/{id}/archive - Write
Add a task (v2)
Adds a new task.
POST /api/v2/tasks - Write
Update a task (v2)
Updates a task.
PATCH /api/v2/tasks/{id} - Write
Add a project board (v2)
Adds a new project board.
POST /api/v2/boards - Write
Update a project board (v2)
Updates the properties of a project board.
PATCH /api/v2/boards/{id} - Write
Add a project phase (v2)
Adds a new project phase to a board.
POST /api/v2/phases - Write
Update a project phase (v2)
Updates the properties of a project phase.
PATCH /api/v2/phases/{id} - Destructive
Delete an activity (v2)
Marks an activity as deleted. After 30 days, the activity will be permanently deleted.
DELETE /api/v2/activities/{id} - Destructive
Update an activity (v2)
Updates the properties of an activity.
PATCH /api/v2/activities/{id} - Destructive
Delete a deal (v2)
Marks a deal as deleted. After 30 days, the deal will be permanently deleted.
DELETE /api/v2/deals/{id} - Destructive
Update a deal (v2)
Updates the properties of a deal.
PATCH /api/v2/deals/{id} - Destructive
Delete many products from a deal (v2)
Deletes multiple products from a deal. If no product IDs are specified, up to 100 products will be removed from the deal. A maximum of 100 product IDs can be provided per request.
DELETE /api/v2/deals/{id}/products - Destructive
Delete an attached product from a deal (v2)
Deletes a product attachment from a deal, using the `product_attachment_id`.
DELETE /api/v2/deals/{id}/products/{product_attachment_id} - Destructive
Delete a discount from a deal (v2)
Removes a discount from a deal, changing the deal value if the deal has one-time products attached.
DELETE /api/v2/deals/{id}/discounts/{discount_id} - Destructive
Delete an installment from a deal (v2)
Removes an installment from a deal. Only available in Growth and above plans.
DELETE /api/v2/deals/{id}/installments/{installment_id} - Destructive
Convert a deal to a lead (v2)
Initiates a conversion of a deal to a lead. The return value is an ID of a job that was assigned to perform the conversion. Related entities (notes, files, emails, activities, ...) are transferred during the process to the target entity. There are exceptions for entities like invoices or history that are not transferred and remain linked to the original deal. If the conversion is successful, the deal is marked as deleted. To retrieve the created entity ID and the result of the conversion, call the /api/v2/deals/{deal_id}/convert/status/{conversion_id} endpoint.
POST /api/v2/deals/{id}/convert/lead - Destructive
Delete one deal field (v2)
Marks a custom field as deleted.
DELETE /api/v2/dealFields/{field_code} - Destructive
Delete deal field options in bulk (v2)
Removes existing options from a deal custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the deleted options.
DELETE /api/v2/dealFields/{field_code}/options - Destructive
Delete a person (v2)
Marks a person as deleted. After 30 days, the person will be permanently deleted.
DELETE /api/v2/persons/{id} - Destructive
Update a person (v2)
Updates the properties of a person. If the company uses the [Campaigns product](https://pipedrive.readme.io/docs/campaigns-in-pipedrive-api), then this endpoint will also accept and return the `marketing_status` field. The `im`, `postal_address`, `notes`, `birthday` and `job_title` fields don't exist by default in Pipedrive and are only created when you set up your contact sync — attempting to set any of them without contact sync enabled returns a 403.
PATCH /api/v2/persons/{id} - Destructive
Delete one person field (v2)
Marks a custom field as deleted.
DELETE /api/v2/personFields/{field_code} - Destructive
Delete person field options in bulk (v2)
Removes existing options from a person custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the deleted options.
DELETE /api/v2/personFields/{field_code}/options - Destructive
Delete a organization (v2)
Marks a organization as deleted. After 30 days, the organization will be permanently deleted.
DELETE /api/v2/organizations/{id} - Destructive
Update a organization (v2)
Updates the properties of a organization.
PATCH /api/v2/organizations/{id} - Destructive
Delete one organization field (v2)
Marks a custom field as deleted.
DELETE /api/v2/organizationFields/{field_code} - Destructive
Delete organization field options in bulk (v2)
Removes existing options from an organization custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the deleted options.
DELETE /api/v2/organizationFields/{field_code}/options - Destructive
Delete a product (v2)
Marks a product as deleted. After 30 days, the product will be permanently deleted.
DELETE /api/v2/products/{id} - Destructive
Update a product (v2)
Updates product data.
PATCH /api/v2/products/{id} - Destructive
Delete a product variation (v2)
Deletes a product variation.
DELETE /api/v2/products/{id}/variations/{product_variation_id} - Destructive
Update an image for a product (v2)
Updates the image of a product.
PUT /api/v2/products/{id}/images - Destructive
Delete an image of a product (v2)
Deletes the image of a product.
DELETE /api/v2/products/{id}/images - Destructive
Delete one product field (v2)
Marks a custom field as deleted.
DELETE /api/v2/productFields/{field_code} - Destructive
Delete product field options in bulk (v2)
Removes existing options from a product custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the deleted options.
DELETE /api/v2/productFields/{field_code}/options - Destructive
Convert a lead to a deal (v2)
Initiates a conversion of a lead to a deal. The return value is an ID of a job that was assigned to perform the conversion. Related entities (notes, files, emails, activities, ...) are transferred during the process to the target entity. If the conversion is successful, the lead is marked as deleted. To retrieve the created entity ID and the result of the conversion, call the /api/v2/leads/{lead_id}/convert/status/{conversion_id} endpoint.
POST /api/v2/leads/{id}/convert/deal - Destructive
Delete a stage (v2)
Marks a stage as deleted.
DELETE /api/v2/stages/{id} - Destructive
Delete a pipeline (v2)
Marks a pipeline as deleted.
DELETE /api/v2/pipelines/{id} - Destructive
Delete one project field (v2)
Marks a custom field as deleted.
DELETE /api/v2/projectFields/{field_code} - Destructive
Delete project field options in bulk (v2)
Removes existing options from a project custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the deleted options.
DELETE /api/v2/projectFields/{field_code}/options - Destructive
Update a project (v2)
Updates the properties of a project.
PATCH /api/v2/projects/{id} - Destructive
Delete a project (v2)
Marks a project as deleted.
DELETE /api/v2/projects/{id} - Destructive
Delete a task (v2)
Marks a task as deleted. If the task has subtasks, those will also be deleted.
DELETE /api/v2/tasks/{id} - Destructive
Delete a project board (v2)
Marks a project board as deleted.
DELETE /api/v2/boards/{id} - Destructive
Delete a project phase (v2)
Marks a project phase as deleted.
DELETE /api/v2/phases/{id}
No operations match.
See How connections work for access and permissions, or browse all integrations.